<template>
  <view v-if="noticelist.length">
	  <view class="hswip flexc" >
	  		<image :src="tztip"></image>
			<swiper class="swiper" circular :autoplay="autoplay" :interval="interval" :duration="duration" vertical='true'>
				<swiper-item v-for="(ite,idx) in noticelist" :key="">
					<view class="flexc swipers" @click="getDetail(ite.zxNoticeId)">
						<view class="tit over">{{ite.noticeTitle}}</view>
						<view class="time">{{ite.issuerTime}}</view>
					</view>
				</swiper-item>
<!-- 				<swiper-item>
					<view class="flexc swipers">
						<view class="tit over">2《关于优化我市惠企利民政策“免审即…</view>
						<view class="time">02-27</view>
					</view>
				</swiper-item> -->
			</swiper>
	  		
	  </view>
  </view>
</template>

<script>
  export default {
	  props:{
	  	autoplay: {
	  		type: Boolean,
	  		default () {
	  			return false
	  		}
	  	},
	  	confdat:{},
		noticelist:{
			type: Array,
			default () {
				return []
			}
		}
	  },
	data(){
		return{
			tztip:require('@/static/images/home/tztip.png'),
            interval: 2000,
            duration: 500
		}
	},
	methods:{
		 getRoad(){
		 	console.log(1)
		 },
		 getDetail(e){
			 this.$emit('getNoticeDet',e)
		 }
	},
	onLoad: function() {
    }
  }
</script>

<style lang="scss" scoped>
.hswip{width: 100%;background: #F4F7FF;border-radius: 10rpx;height: 88rpx;padding: 0 20rpx 0 24rpx;box-sizing: border-box;
	image{width: 66rpx;height: 30rpx;flex: 0 0 auto;margin-right: 30rpx;}
	.swiper{flex: 1;height: 88rpx;
	.swipers{height: 88rpx;}
		.tit{flex: 1;font-weight: 500;font-size: 26rpx;color: #666666;}
		.time{font-size: 24rpx;color: #666666;flex: 0 0 auto;margin-left: 40rpx;}
	}
}
</style>
